Name: H5Gopen
Signature:
  hid_t `H5Gopen`(hid_t `loc_id`, const char *`name` )
Purpose:
  Opens an existing group for modification and returns a group identifier for that group.
Description:
  `H5Gopen` opens an existing group with the specified name at the specified location, `loc_id`.

  The location is identified by a file or group identifier

  `H5Gopen` returns a group identifier for the group that was opened. This group identifier should be released by calling `H5Gclose` when it is no longer needed.

Parameters:

hid_t `loc_id` | IN: File or group identifier within which group is to be open.
const char * `name` | IN: Name of group to open.

Returns:
  Returns a valid group identifier if successful; otherwise returns a negative value.
Fortran90 Interface: h5gopen_f

      SUBROUTINE h5gopen_f(loc_id, name, gr_id, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: loc_id   ! File or group identifier
        CHARACTER(LEN=*), INTENT(IN) :: name   ! Name of the group to open
        INTEGER(HID_T), INTENT(OUT) :: gr_id   ! Group identifier
        INTEGER, INTENT(OUT) :: hdferr         ! Error code
                                               ! 0 on success and -1 on failure
      END SUBROUTINE h5gopen_f